$(function(){
	//  Implement tab pane
    new TabPane({
       element:'div#divDashboardViewsPane',
       tabs:'div.Tabs ul li',
       pane:'div.Pane',
       current:'current',
       hide:'hide'
   });
    
    var toggle=false;

    function onFullScreen(){
        toggle=!toggle;
        ((toggle==true)?showAsDashboard:hideDashboard)();

    }
    function hideDashboard(){
        var add=(toggle==true)?'addClass':'removeClass';
        var rem=(toggle==false)?'addClass':'removeClass';

        $('div.navigation').removeClass('hide');
        $('div.banner').removeClass('hide');

        $('div.rightPanel').removeClass('hide');


        $('div.dashboardContent').each(function(i,n){
            var cl=$(n).attr('rel');

            if($(n).addClass){
                $(n).addClass(cl);
            }
            $(n).removeClass('dashboardContent');
        });
    }

    function showAsDashboard(){
        $('div.navigation').addClass('hide');
        $('div.banner').addClass('hide');

        $('div.rightPanel').addClass('hide');

        $('div.realContent').addClass('dashboardContent').removeClass('realContent').attr('rel','realContent');
        $('div.halvedContent').addClass('dashboardContent').removeClass('halvedContent').attr('rel','halvedContent');
    }
});
